import { d as T, e as D, V as F, r as c, a as v, Z as i, cZ as S, c as V, o as N, w as e, j as t, W as q, l as s, aI as A, p as E, B as P, i as I, X as M, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as W } from "./BasicForm-dL_oCSPM.js";
import { B as Z } from "./Table-0PViRYCf.js";
import { _ as $ } from "./TableAction.vue_vue_type_script_setup_true_lang-Bj_Y4LtN.js";
import { d as j, c as z } from "./vesselRuleMappingSetting-D4CBkDWj.js";
import { b as X, m as G, __tla as __tla_1 } from "./columns-BBmIfxY_.js";
import { u as H } from "./useForm-CKmgcynv.js";
import { i as J } from "./isEmpty-BUg1OsQj.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./componentMap-CElCaWis.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./print-CT_2hrjP.js";
import "./basicModal.vue_vue_type_script_setup_true_lang-CsJydKhW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./useModal-CO65vga3.js";
import "./useTimeout-BxFilWvD.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
let Ao;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    Ao = T({
        __name: "index",
        setup (K) {
            const a = D(), { t: n } = F(), u = S(), d = c(), { schemas: f } = X(), [_, { getFieldsValue: g }] = H({
                gridProps: {
                    cols: 6
                },
                schemas: f
            }), m = c(), b = v({
                width: 140,
                title: n("common.optionsText"),
                key: "action",
                fixed: "right",
                align: "center",
                render (o) {
                    return i($, {
                        style: "text",
                        actions: [
                            {
                                label: n("common.optionsEditText"),
                                labelShow: !1,
                                icon: i("i", {
                                    class: "iconfont icon-a-Frame28 green"
                                }),
                                onClick: ()=>{
                                    y(o);
                                }
                            },
                            {
                                label: n("common.optionsDelText"),
                                labelShow: !1,
                                icon: i("i", {
                                    class: "iconfont icon-Delete red"
                                }),
                                onPositiveClick: async ()=>{
                                    await j(o.id), u.success(n("common.optionsDelSuccessText")), C();
                                },
                                onNegativeClick: ()=>{},
                                isConfirm: !0,
                                confirmContent: n("common.dialogContentDeleteText")
                            }
                        ]
                    });
                }
            });
            function h() {
                a.push({
                    path: "/operation/vrmsDetail",
                    query: {
                        type: "add"
                    }
                });
            }
            function y(o) {
                a.push({
                    path: "/operation/vrmsDetail",
                    query: {
                        id: o?.id,
                        type: "edit"
                    }
                });
            }
            async function l() {
                const o = await z(g());
                return {
                    list: o,
                    total: J(o) ? 0 : o.length
                };
            }
            function C() {
                m.value.restReload();
            }
            return (o, r)=>{
                const x = W, p = q, k = P, B = A, w = M;
                return N(), V(w, null, {
                    default: e(()=>[
                            t(p, {
                                bordered: !1,
                                class: "mb-3 proCard"
                            }, {
                                default: e(()=>[
                                        t(x, {
                                            ref_key: "searchFormRef",
                                            ref: d,
                                            onRegister: s(_),
                                            onSubmit: l
                                        }, null, 8, [
                                            "onRegister"
                                        ])
                                    ]),
                                _: 1
                            }),
                            t(p, {
                                bordered: !1,
                                class: "mt-3 proCard"
                            }, {
                                default: e(()=>[
                                        t(s(Z), {
                                            columns: s(G),
                                            request: l,
                                            "row-key": (R)=>R.id,
                                            ref_key: "tableRef",
                                            ref: m,
                                            tableSetting: {
                                                striped: !1,
                                                bordered: !1,
                                                export: !1,
                                                print: !1
                                            },
                                            actionColumn: b,
                                            pagination: o.pagination
                                        }, {
                                            tableTitle: e(()=>[
                                                    t(B, {
                                                        trigger: "hover"
                                                    }, {
                                                        trigger: e(()=>[
                                                                t(k, {
                                                                    type: "primary",
                                                                    strong: "",
                                                                    bordered: "",
                                                                    secondary: "",
                                                                    class: "size-8",
                                                                    onClick: h
                                                                }, {
                                                                    icon: e(()=>r[0] || (r[0] = [
                                                                            I("i", {
                                                                                class: "iconfont icon-ADD"
                                                                            }, null, -1)
                                                                        ])),
                                                                    _: 1
                                                                })
                                                            ]),
                                                        default: e(()=>[
                                                                r[1] || (r[1] = E(" Add "))
                                                            ]),
                                                        _: 1
                                                    })
                                                ]),
                                            _: 1
                                        }, 8, [
                                            "columns",
                                            "row-key",
                                            "actionColumn",
                                            "pagination"
                                        ])
                                    ]),
                                _: 1
                            })
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { Ao as default, __tla };
